
/*---------General Components---------*/
/*
* {
    padding: 0;
    margin: 0;
}
*/

h2, p {
    font-family: 'Montserrat', sans-serif;
}

.navbar-default {
  background: white;
    opacity: 1;
  border-color: white;
  font-family: 'Montserrat', sans-serif;
/*  padding: 20px 0px 0px 0px;*/
/*  letter-spacing: 1.8px;*/
    text-transform: uppercase;
}

.navbar-brand {
    padding-bottom: 0px;
    font-family: 'Montserrat Alternates', sans-serif;
/*    font-weight: bold;*/
    font-size: 28px;    
    padding-right: 10px;
    line-height: 30px;
}

.navbar-toggle .icon-bar{/*Descendant selector combinator (the space bar)*/
    height: 2px;
    background-color: black;
    width: 27px;
    transition: all 0.2s;
}

.navbar-toggle .icon-bar+.icon-bar {/*CSS adjascent sibling combinator*/
    margin-top: 6px;
}

.navbar-toggle {
    border: none;
    background: transparent !important;
    margin-bottom: 0;
    margin-top: 10px;
}
.navbar-toggle:hover {
  background: transparent !important;
}

.navbar-toggle .top-bar {
  transform: rotate(45deg) translateY(11px);
  transform-origin: center;
}
.navbar-toggle .middle-bar {
  opacity: 0;
}
.navbar-toggle .bottom-bar {
  transform: rotate(-45deg) translateY(-11px);
  transform-origin: center;
}
.navbar-toggle.collapsed .top-bar {
  transform: rotate(0);
}
.navbar-toggle.collapsed .middle-bar {
  opacity: 1;
}
.navbar-toggle.collapsed .bottom-bar {
  transform: rotate(0);
}



#about {
/* this needs media queries to make the collage... */
/*...look good no matter what */
    background: linear-gradient(hsla(0, 0%, 0%, 0.6), hsla(0, 0%, 0%, 0.6)), url('https://s3.us-east-2.amazonaws.com/tammi/Splash+Collage.jpg');
    background-size: contain;
    background-position: center 51px;
    background-color: #1E88E5;
    background-repeat: repeat;
    text-align: center;
    height:100vh;
    color: #fff; 
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center; 


}

#offerings {
    padding-top:50px;
    text-align: center;
    /* height: 100vh; */
    color: #fff; 
    
}

.offering_row {
    padding-top: 10px;
}

.black {
    color: hsl(0, 0%, 20%);
}

#contact {
    padding-top:50px;
    /* height: 100vh; */
}

.logo-small {
    width: 50px;
    height: 50px;
    font-size: 50px;
}

.bold {
    font-weight: bold;
}

.item {
    background-color: hsl(240, 100%, 80%);
    border-radius: 10px;
    padding: 15px;
    margin-bottom: 24px;
}

.item_heading {
    color: white;
    font-size: 16px;
}

.item_image {
    width: 100%;
}

.item_details {
    margin-bottom: 10px;
}

/*
.item:hover {
    background-color: hsl(325, 50%, 50%);
    box-shadow: 10px 10px 10px #888888;
}
*/

.orange {
    color:orange;
}

.green {
    color: palegreen;
}

.purple {
    color: hsl(325, 50%, 50%);
}

.blue {
    color: hsl(240, 100%, 80%);
}

.bold {
    font-weight: bold;
}

.location {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#map {
    border-radius: 10px;
    margin: 15px, 15px, 30px, 15px;
    width: 100%;
    height: 460px;
    background-color: grey;
/*    z-index: 2;*/
}




.card {
    box-sizing: border-box; 
/*    margin-top: 24px;*/
    padding: 15px;
    margin: 15px;
    height: 230px;
    font-size: 16px;
/*    line-height: 50px;*/
    background-color: hsl(0, 0%, 70%);
    width: 100%;
    border-radius: 10px;
    color: white;
}

.contact_details {
    font-size: 16px;
}

.contact_row {
    padding-top: 10px;
}

.img_circle {
    margin: 15px;
    width: 100%;
    border-radius: 50%;
}

@media (max-width: 505px) {/*To stop the wrapping with the button*/
    .navbar-brand {
        font-size: 20px;
    }
}

@media (max-width: 385px) {/*To stop the wrapping with the button*/
    .navbar-brand {
        font-size: 18px;
        padding-left: 10px;
        padding-right: 0;
    }
    .navbar-toggle .icon-bar{
        width: 20px;
    }
    
    .navbar-toggle {
        margin-right: 5px;
        padding-left: 0;
    }
    
}

@media (max-width: 991px) {/*Stops wrapping by toggling button sooner*/
    .navbar-header {
        float: none;
    }
    .navbar-left,.navbar-right {
        float: none !important;
    }
    .navbar-toggle {
        display: block;
    }
    .navbar-collapse {
        border-top: 1px solid transparent;
        box-shadow: inset 0 1px 0 rgba(255,255,255,0.1);
    }
    .navbar-fixed-top {
        top: 0;
        border-width: 0 0 1px;
    }
    .navbar-collapse.collapse {
        display: none!important;
    }
    .navbar-nav {
        float: none!important;
        margin-top: 7.5px;
    }
    .navbar-nav>li { /*immediate child selector*/
        float: none;
    }
    .navbar-nav>li>a {
        padding-top: 10px;
        padding-bottom: 10px;
    }
    .collapse.in{
        display:block !important;
    }
    
    #offerings {
        height: auto;
    }
}

/* splash image queries!!!! */
/* Smartphones */
@media (max-width: 450px) and (orientation: portrait) {
    #about {
        background: linear-gradient(hsla(0, 0%, 0%, 0.6), hsla(0, 0%, 0%, 0.6)), url('https://s3.us-east-2.amazonaws.com/tammi/Updated+Splash/Widescreen+Portrait+Splash+Collage.jpg');
        background-position: center 51px;
        background-size: contain;
        background-color: #1E88E5;
        background-repeat: repeat;
    }
}

/* Tablets */
@media (min-width: 600px) and (max-width: 1030px) and (orientation: portrait) {
    #about {
        background: linear-gradient(hsla(0, 0%, 0%, 0.6), hsla(0, 0%, 0%, 0.6)), url('https://s3.us-east-2.amazonaws.com/tammi/Updated+Splash/Portrait+Splash+Collage.jpg');
        background-position: center 51px;
        background-size: contain;
        background-color: #1E88E5;
        background-repeat: repeat;
    }
}

@media (min-width: 1030px){
    #about {
        background: linear-gradient(hsla(0, 0%, 0%, 0.6), hsla(0, 0%, 0%, 0.6)), url('https://s3.us-east-2.amazonaws.com/tammi/Updated+Splash/Widescreen+Landscape+Splash+Collage.jpg');
        background-position: center 51px;
        background-size: contain;
        background-color: #1E88E5;
        background-repeat: repeat;
    }
}


footer .glyphicon {
    font-size: 20px;
    margin-top: 20px;
    margin-bottom: 20px;
/*    color: #f4511e;*/
}

/*ANIMATION!!!*/

.slideanim {visibility:hidden;}
.slide {
    /* The name of the animation */
    animation-name: slide;
    -webkit-animation-name: slide; 
    /* The duration of the animation */
    animation-duration: 2s; 
    -webkit-animation-duration: 2s;
    /* Make the element visible */
    visibility: visible; 
}

/* Go from 0% to 100% opacity (see-through) and specify the percentage from when to slide in the element along the Y-axis */
@keyframes slide {
    0% {
        opacity: 0;
        transform: translateY(70%);
    } 
    100% {
        opacity: 1;
        transform: translateY(0%);
    } 
}
@-webkit-keyframes slide {
    0% {
        opacity: 0;
        -webkit-transform: translateY(70%);
    } 
    100% {
        opacity: 1;
        -webkit-transform: translateY(0%);
    }
}